.card {
    &__container {
        padding: 16px;
        border-radius: 16px;
        position: relative;
        background-color: var(--cloud);
        box-sizing: border-box;
        box-shadow: var(--shadow-large);
        user-select: none;

        &--stretched {
            width: 100%;
        }

        &--shrunk {
            align-self: flex-start;
        }

        &--row--partitioned {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            gap: 18px;
        }
        
        &--row--whole {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            gap: 8px;
        }

        &--column--partitioned {
            display: grid;
            grid-template-columns: 1fr;
            grid-gap: 16px;
        }

        &--column--whole {
            display: grid;
            grid-template-columns: 1fr;
            grid-gap: 8px;
        }
    }

    &__content-block {
        display: grid;
        grid-template-columns: 1fr;
        grid-gap: 8px;
    }
}